#ifndef ___FRAME0_H
#define ___FRAME0_H
extern void _frame0();
extern int _CurrentFrame;
extern void FreeCurrentFrame();
extern void hmi_GotoFrame(int nFrame);
extern void hmi_TimerTrigger();
extern void hmi_TurnBacklight(int bOn);
extern int g_TimerTicksCount;

extern void OnHotSpotWidget11Click(tWidget *pWidget);

extern void OnHotSpotWidget27Click(tWidget *pWidget);

extern void OnHotSpotWidget28Click(tWidget *pWidget);

extern void OnHotSpotWidget29Click(tWidget *pWidget);

extern void OnHotSpotWidget30Click(tWidget *pWidget);

extern void OnHotSpotWidget31Click(tWidget *pWidget);

extern void OnHotSpotWidget32Click(tWidget *pWidget);

extern void OnHotSpotWidget42Click(tWidget *pWidget);

extern tCanvasWidget LabelWidget48;
extern tCanvasWidget LabelWidget49;
extern tCanvasWidget LabelWidget50;
extern tCanvasWidget LabelWidget51;
extern void OnHotSpotWidget33Click(tWidget *pWidget);

extern void OnHotSpotWidget34Click(tWidget *pWidget);

extern void OnHotSpotWidget35Click(tWidget *pWidget);

extern void OnHotSpotWidget43Click(tWidget *pWidget);

extern tCanvasWidget LabelWidget56;
extern tCanvasWidget LabelWidget57;
extern tCanvasWidget LabelWidget58;
extern tCanvasWidget LabelWidget60;
extern void OnHotSpotWidget36Click(tWidget *pWidget);

extern void OnHotSpotWidget37Click(tWidget *pWidget);

extern void OnHotSpotWidget38Click(tWidget *pWidget);

extern void OnHotSpotWidget44Click(tWidget *pWidget);

extern tCanvasWidget LabelWidget61;
extern tCanvasWidget LabelWidget62;
extern tCanvasWidget LabelWidget63;
extern tCanvasWidget LabelWidget64;
extern void OnHotSpotWidget39Click(tWidget *pWidget);

extern void OnHotSpotWidget40Click(tWidget *pWidget);

extern void OnHotSpotWidget41Click(tWidget *pWidget);

extern void OnHotSpotWidget45Click(tWidget *pWidget);

extern tCanvasWidget LabelWidget78;
extern tCanvasWidget LabelWidget79;
extern tCanvasWidget LabelWidget80;
extern tCanvasWidget LabelWidget81;
extern void OnFrame12Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame26Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame312Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame417Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame522Paint(tWidget *pWidget, tContext *pContext);

extern tCanvasWidget CanvasFrame1;
extern tCanvasWidget CanvasFrame2;
extern tCanvasWidget CanvasFrame3;
extern tCanvasWidget CanvasFrame4;
extern tCanvasWidget CanvasFrame5;

extern void InitWidget1();
extern void InitWidget2();
extern void InitWidget3();
extern void InitWidget4();
extern void InitWidget5();

extern void FreeWidget1();
extern void FreeWidget2();
extern void FreeWidget3();
extern void FreeWidget4();
extern void FreeWidget5();


extern void _frame1();
extern void _frame2();
extern void _frame3();
extern void _frame4();
extern void _frame5();

#endif
